Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex DataLens
  • DataLens neuroanalyst
  • Gallery in DataLens
    • How to use the Public API
    • Versioning
    • Release notes
      • Overview
        • Overview
        • Get entries, workbooks and collections permissions
  • Audit Trails events

In this article:

  • Request
  • Headers
  • Body
  • Responses
  • 200 OK
  • Body
  1. DataLens Public API
  2. DataLens API
  3. Permissions
  4. Get entries, workbooks and collections permissions
Written by
Yandex Cloud
View in Markdown
  • Request
    • Headers
    • Body
  • Responses
  • 200 OK
    • Body

Get entries, workbooks and collections permissions

Returns permissions for the specified DataLens entries, workbooks and collections.

RequestRequest

POST

https://api.datalens.tech/rpc/getPermissionsBulk

HeadersHeaders

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 2

Example: 2

BodyBody

application/json
{
  "entryIds": [
    "example"
  ],
  "workbookIds": [
    "example"
  ],
  "collectionIds": [
    "example"
  ]
}

Name

Description

collectionIds

Type: string[]

Identifiers of the collections to check permissions for.

Min items: 1

Max items: 1000

Example
[
  "example"
]

entryIds

Type: string[]

Identifiers of the entries to check permissions for.

Min items: 1

Max items: 1000

Example
[
  "example"
]

workbookIds

Type: string[]

Identifiers of the workbooks to check permissions for.

Min items: 1

Max items: 1000

Example
[
  "example"
]

ResponsesResponses

200 OK200 OK

Response

BodyBody

application/json
{
  "entries": {},
  "workbooks": {},
  "collections": {}
}

Name

Description

collections

Type: object

[additional]

Any of 2 types
  • Type: object

    permissions

    Type: object

    copy

    Type: boolean

    Indicates if the collection can be copied.

    createCollection

    Type: boolean

    Indicates if child collections can be created in the collection.

    createSharedEntry

    Type: boolean

    Indicates if shared entries can be created in the collection.

    createWorkbook

    Type: boolean

    Indicates if workbooks can be created in the collection.

    delete

    Type: boolean

    Indicates if the collection can be deleted.

    limitedView

    Type: boolean

    Indicates if the collection can be viewed with limited access.

    listAccessBindings

    Type: boolean

    Indicates if access bindings for the collection can be listed.

    move

    Type: boolean

    Indicates if the collection can be moved.

    update

    Type: boolean

    Indicates if the collection can be updated.

    updateAccessBindings

    Type: boolean

    Indicates if access bindings for the collection can be updated.

    view

    Type: boolean

    Indicates if the collection can be viewed.

    Permissions for the collection.

    Example
    {
      "listAccessBindings": true,
      "updateAccessBindings": true,
      "createSharedEntry": true,
      "createCollection": true,
      "createWorkbook": true,
      "limitedView": true,
      "view": true,
      "update": true,
      "copy": true,
      "move": true,
      "delete": true
    }
    
    Example
    {
      "permissions": {
        "listAccessBindings": true,
        "updateAccessBindings": true,
        "createSharedEntry": true,
        "createCollection": true,
        "createWorkbook": true,
        "limitedView": true,
        "view": true,
        "update": true,
        "copy": true,
        "move": true,
        "delete": true
      }
    }
    
  • Type: object

    error

    Type: string

    Error code indicating a missing resource.

    Const: NOT_FOUND

    Example: example

    Example
    {
      "error": "NOT_FOUND"
    }
    
Example
{
  "permissions": {
    "listAccessBindings": true,
    "updateAccessBindings": true,
    "createSharedEntry": true,
    "createCollection": true,
    "createWorkbook": true,
    "limitedView": true,
    "view": true,
    "update": true,
    "copy": true,
    "move": true,
    "delete": true
  }
}

Collection permissions or errors indexed by collection ID.

Example
{}

entries

Type: object

[additional]

Any of 2 types
  • Type: object

    fullPermissions

    Type: object

    copy

    Type: boolean

    Permission to copy.

    createEntryBinding

    Type: boolean

    Permission to create entry binding.

    createLimitedEntryBinding

    Type: boolean

    Permission to create limited entry binding.

    delete

    Type: boolean

    Permission to delete.

    limitedView

    Type: boolean

    Permission for limited viewing.

    listAccessBindings

    Type: boolean

    Permission to list access bindings.

    move

    Type: boolean

    Permission to move.

    update

    Type: boolean

    Permission to update.

    updateAccessBindings

    Type: boolean

    Permission to update access bindings.

    view

    Type: boolean

    Permission to view.

    Full permissions for the entry.

    Example
    {
      "listAccessBindings": true,
      "updateAccessBindings": true,
      "limitedView": true,
      "view": true,
      "update": true,
      "copy": true,
      "move": true,
      "delete": true,
      "createEntryBinding": true,
      "createLimitedEntryBinding": true
    }
    

    permissions

    Type: object

    admin

    Type: boolean

    Indicates if there are permissions for admin.

    edit

    Type: boolean

    Indicates if there are permissions to edit.

    execute

    Type: boolean

    Indicates if there are permissions to execute.

    read

    Type: boolean

    Indicates if there are permissions to read.

    Basic permissions for the entry.

    Example
    {
      "execute": true,
      "read": true,
      "edit": true,
      "admin": true
    }
    
    Example
    {
      "permissions": {
        "execute": true,
        "read": true,
        "edit": true,
        "admin": true
      },
      "fullPermissions": {
        "listAccessBindings": true,
        "updateAccessBindings": true,
        "limitedView": true,
        "view": true,
        "update": true,
        "copy": true,
        "move": true,
        "delete": true,
        "createEntryBinding": true,
        "createLimitedEntryBinding": true
      }
    }
    
  • Type: object

    error

    Type: string

    Error code indicating a missing resource.

    Const: NOT_FOUND

    Example: example

    Example
    {
      "error": "NOT_FOUND"
    }
    
Example
{
  "permissions": {
    "execute": true,
    "read": true,
    "edit": true,
    "admin": true
  },
  "fullPermissions": {
    "listAccessBindings": true,
    "updateAccessBindings": true,
    "limitedView": true,
    "view": true,
    "update": true,
    "copy": true,
    "move": true,
    "delete": true,
    "createEntryBinding": true,
    "createLimitedEntryBinding": true
  }
}

Entry permissions or errors indexed by entry ID.

Example
{}

workbooks

Type: object

[additional]

Any of 2 types
  • Type: object

    permissions

    Type: object

    copy

    Type: boolean

    Indicates if the workbook can be copied.

    delete

    Type: boolean

    Indicates if the workbook can be deleted.

    embed

    Type: boolean

    Indicates if entries in the workbook can be embedded.

    limitedView

    Type: boolean

    Indicates if the workbook can be viewed with limited access.

    listAccessBindings

    Type: boolean

    Indicates if access bindings for the workbook can be listed.

    move

    Type: boolean

    Indicates if the workbook can be moved.

    publish

    Type: boolean

    Indicates if entries in the workbook can be published.

    update

    Type: boolean

    Indicates if the workbook can be updated.

    updateAccessBindings

    Type: boolean

    Indicates if access bindings for the workbook can be updated.

    view

    Type: boolean

    Indicates if the workbook can be viewed.

    Permissions for the workbook.

    Example
    {
      "listAccessBindings": true,
      "updateAccessBindings": true,
      "limitedView": true,
      "view": true,
      "update": true,
      "copy": true,
      "move": true,
      "publish": true,
      "embed": true,
      "delete": true
    }
    
    Example
    {
      "permissions": {
        "listAccessBindings": true,
        "updateAccessBindings": true,
        "limitedView": true,
        "view": true,
        "update": true,
        "copy": true,
        "move": true,
        "publish": true,
        "embed": true,
        "delete": true
      }
    }
    
  • Type: object

    error

    Type: string

    Error code indicating a missing resource.

    Const: NOT_FOUND

    Example: example

    Example
    {
      "error": "NOT_FOUND"
    }
    
Example
{
  "permissions": {
    "listAccessBindings": true,
    "updateAccessBindings": true,
    "limitedView": true,
    "view": true,
    "update": true,
    "copy": true,
    "move": true,
    "publish": true,
    "embed": true,
    "delete": true
  }
}

Workbook permissions or errors indexed by workbook ID.

Example
{}

Was the article helpful?

Previous
Overview
Next
Overview
© 2026 Direct Cursus Technology L.L.C.